Topic: Failed to create OpenGL 3.3 context

Tagged: 

  • Author
    Posts
  • #16707
    Banshee
    Participant

    When I try to run Battle Brothers I get the error message: “Failed to create OpenGL 3.3 context”.

    I’m running Windows 10 under VMWare Fusion 8 – which supports OpenGL 3.3.

    Here’s a link to what the forum at VMWare says about the issue: https://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2139606

    Attachments:
    #16734
    Rap
    Keymaster

    Unfortunately I’m not familiar with vmware. Even if it does support OpenGL 3.3, does your video card, too? Your DxDiag.txt only reports some virtual vmware device, so I’m unable to see what video card you actually have. If you haven’t done so already, I suggest you make sure that your video drivers (on your actual OS, outside of vmware) are up-to-date.

    There’s another thing you can try;

    * Right-click on Battle Brothers in your Steam library
    * Select ‘Properties’
    * Select ‘Set Launch Options’
    * Enter ‘-gl30’

    This will force the game to run on OpenGL 3.1, but your video card is still required to support several extensions that are part of the OpenGL 3.3 specifications.

    Overhype Studios - follow us!
    Facebook Youtube
    Twitter

    #16751
    Banshee
    Participant

    VMWare is a virtualisation software that allows me to run Windows on OSX (MacBook Pro). MacBook Pro supports OpenGL 4.1 and VMWare supports OpenGL 3.3. The graphics card is Intel HD Graphics 4000 1536 MB.

    Tried you tricks, and it run a bit more, but failed.

    I’ve included the log-file.

    Attachments:
    #16753
    Rap
    Keymaster

    Well, it’s no longer an OpenGL issue. The crash occurs in the third party UI library we’re using, but I have no insight into why it might crash with a vmware environment. I suggest you try to start the game with admin rights and see if that changes anything. You could also give the beta branch of Battle Brothers a try – instructions on how to get access are in the blog post on the frontpage.

    Overhype Studios - follow us!
    Facebook Youtube
    Twitter

    #16756
    Banshee
    Participant

    Tried to run it as admin, same issue.

    Tried to run the beta, same issue.

    #21114
    craig mulcahy
    Participant

    Hi Banshee,

    Did you ever get this working in Fusion? I have the old build version of the game running but would love to get the current build working, with hopes that the devs will put out a Mac version of the game.

    Any help would be very much appreciated.

    Craig

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.